org.jgroups.stack

## Class GossipData

- java.lang.Object
- - org.jgroups.stack.GossipData

All Implemented Interfaces:
  Streamable

    public class GossipData
    extends java.lang.Object
    implements Streamable

Encapsulates data sent between GossipRouter and GossipClient

Author:
  Bela Ban Oct 4 2001

### Constructor Summary

Constructors
Constructor and Description
`GossipData()`
`GossipData(byte type)`
`GossipData(byte type, java.lang.String group, Address addr)`
`GossipData(byte type, java.lang.String group, Address addr, byte[] buffer)`
`GossipData(byte type, java.lang.String group, Address addr, byte[] buffer, int offset, int length)`
`GossipData(byte type, java.lang.String group, Address addr, java.util.List<Address> mbrs)`
`GossipData(byte type, java.lang.String group, Address addr, java.util.List<Address> mbrs, java.util.List<PhysicalAddress> physical_addrs)`
`GossipData(byte type, java.lang.String group, Address addr, java.lang.String logical_name, java.util.List<PhysicalAddress> phys_addrs)`

### Method Summary

Methods
`Address` `getAddress()`
`byte[]` `getBuffer()`
`java.lang.String` `getGroup()`
`java.lang.String` `getLogicalName()`
`java.util.List<Address>` `getMembers()`
`java.util.Collection<PhysicalAddress>` `getPhysicalAddresses()`
`byte` `getType()`
`void` `readFrom(java.io.DataInputStream in)` Read the state of the current object (including superclasses) from instream Note that the input stream must not be closed
`void` `setMembers(java.util.List<Address> mbrs)`
`int` `size()`
`java.lang.String` `toString()`
`void` `writeTo(java.io.DataOutputStream out)` Write the entire state of the current object (including superclasses) to outstream.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GossipData

    public GossipData()

#### GossipData

    public GossipData(byte type)

#### GossipData

    public GossipData(byte type,
              java.lang.String group,
              Address addr)

#### GossipData

    public GossipData(byte type,
              java.lang.String group,
              Address addr,
              java.util.List<Address> mbrs)

#### GossipData

    public GossipData(byte type,
              java.lang.String group,
              Address addr,
              java.util.List<Address> mbrs,
              java.util.List<PhysicalAddress> physical_addrs)

#### GossipData

    public GossipData(byte type,
              java.lang.String group,
              Address addr,
              java.lang.String logical_name,
              java.util.List<PhysicalAddress> phys_addrs)

#### GossipData

    public GossipData(byte type,
              java.lang.String group,
              Address addr,
              byte[] buffer)

#### GossipData

    public GossipData(byte type,
              java.lang.String group,
              Address addr,
              byte[] buffer,
              int offset,
              int length)

### Method Detail

#### getType

    public byte getType()

#### getGroup

    public java.lang.String getGroup()

#### getAddress

    public Address getAddress()

#### getLogicalName

    public java.lang.String getLogicalName()

#### getMembers

    public java.util.List<Address> getMembers()

#### getBuffer

    public byte[] getBuffer()

#### getPhysicalAddresses

    public java.util.Collection<PhysicalAddress> getPhysicalAddresses()

#### setMembers

    public void setMembers(java.util.List<Address> mbrs)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### writeTo

    public void writeTo(java.io.DataOutputStream out)
                 throws java.io.IOException

Description copied from interface: `Streamable`
Write the entire state of the current object (including superclasses) to outstream. Note that the output stream must not be closed

Specified by:
  `writeTo` in interface `Streamable`
Throws:
  `java.io.IOException`

#### readFrom

    public void readFrom(java.io.DataInputStream in)
                  throws java.io.IOException,
                         java.lang.IllegalAccessException,
                         java.lang.InstantiationException

Description copied from interface: `Streamable`
Read the state of the current object (including superclasses) from instream Note that the input stream must not be closed

Specified by:
  `readFrom` in interface `Streamable`
Throws:
  `java.io.IOException`
  `java.lang.IllegalAccessException`
  `java.lang.InstantiationException`

#### size

    public int size()